summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Dummer <martin.dummer@gmx.net>2022-01-26 00:43:31 +0100
committerJoonas Niilola <juippis@gentoo.org>2022-06-28 18:38:20 +0300
commite80c64fe3eb6669c23993dcc56bb374ad0caf8b9 (patch)
treed4fb9f1270fe3f0410832baac12573fb95b0e61e
parentnet-analyzer/netdata: Cleanup old versions (diff)
downloadgentoo-e80c64fe3eb6669c23993dcc56bb374ad0caf8b9.tar.gz
gentoo-e80c64fe3eb6669c23993dcc56bb374ad0caf8b9.tar.bz2
gentoo-e80c64fe3eb6669c23993dcc56bb374ad0caf8b9.zip
media-plugins/vdr-streamdev: version bump to 0.6.3
new EAPI 8 make USE=server the default adopt proxy maintainership change HOME due to retirement of http://projects.vdr-developer.org Package-Manager: Portage-3.0.30, Repoman-3.0.3 Signed-off-by: Martin Dummer <martin.dummer@gmx.net> Closes: https://github.com/gentoo/gentoo/pull/23960 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--media-plugins/vdr-streamdev/Manifest1
-rw-r--r--media-plugins/vdr-streamdev/metadata.xml24
-rw-r--r--media-plugins/vdr-streamdev/vdr-streamdev-0.6.3.ebuild79
3 files changed, 95 insertions, 9 deletions
diff --git a/media-plugins/vdr-streamdev/Manifest b/media-plugins/vdr-streamdev/Manifest
index a38648dd0317..eae037cd7b8d 100644
--- a/media-plugins/vdr-streamdev/Manifest
+++ b/media-plugins/vdr-streamdev/Manifest
@@ -1 +1,2 @@
DIST vdr-plugin-streamdev-e2a9b979d3fb92967c7a6a8221e674eb7e55c813.tar.bz2 163403 BLAKE2B 4cacadc091ab8d28ccd4318eaf18aaef8f45e6caab86ef461d1b1047039ec921984ebad091d29420779982b5b37606defe5aa6c6828e8f28788886ba9839efea SHA512 e1eb69f62785178c06fa6700bd1b94ac12f2c58b1a7b8067312613279b59c5ef8157474e27863e8b2d0e47700f67fca7a61595c49809512e9e1efdb27c85eac8
+DIST vdr-streamdev-0.6.3.tar.gz 196906 BLAKE2B 300c24aac6f0c59fc438eafa9a300e0b68dbfb43064cf887ab9d1fbdc1b22a8ec5349a38fa5c2188ef78dbc1ac7f238e88abe0ed9d1cbcd01e4a1afde7b890cf SHA512 2c949f08f399f2570a54da67809235b6882d594fc5583b27df96b3e87951bcfc62f96c9aef715130540620cbe54f028106598941fe8cbdb80b3d0943009c039f
diff --git a/media-plugins/vdr-streamdev/metadata.xml b/media-plugins/vdr-streamdev/metadata.xml
index 6ecec60aea2b..a4f638e9ccf0 100644
--- a/media-plugins/vdr-streamdev/metadata.xml
+++ b/media-plugins/vdr-streamdev/metadata.xml
@@ -1,19 +1,25 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
+ <maintainer type="person" proxied="yes">
+ <email>martin.dummer@gmx.net</email>
+ <name>Martin Dummer</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
<maintainer type="project">
<email>vdr@gentoo.org</email>
<name>Gentoo VDR Project</name>
</maintainer>
<use>
- <flag name="client">
- Compile the VDR plugin vdr-streamdev-client
- that acts like a dvb-budget card
- </flag>
- <flag name="server">
- Compile the VDR plugin vdr-streamdev-server
- that allows remote systems to access the
- DVB cards used for the local VDR
- </flag>
+ <flag name="client">Compile the VDR plugin vdr-streamdev-client that can connect a vdr to a
+ remote streamdev-server instance</flag>
+ <flag name="server">Compile the VDR plugin vdr-streamdev-server that allows remote systems to access the
+ vdr using streamdev-specific VTP and HTTP protocol</flag>
</use>
+ <upstream>
+ <remote-id type="github">vdr-projects/vdr-plugin-streamdev</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/media-plugins/vdr-streamdev/vdr-streamdev-0.6.3.ebuild b/media-plugins/vdr-streamdev/vdr-streamdev-0.6.3.ebuild
new file mode 100644
index 000000000000..3565a40465d6
--- /dev/null
+++ b/media-plugins/vdr-streamdev/vdr-streamdev-0.6.3.ebuild
@@ -0,0 +1,79 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit vdr-plugin-2
+
+DESCRIPTION="VDR Plugin: Client/Server and http streaming plugin"
+HOMEPAGE="https://github.com/vdr-projects/vdr-plugin-streamdev"
+SRC_URI="https://github.com/vdr-projects/vdr-plugin-streamdev/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/vdr-plugin-streamdev-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="client +server"
+REQUIRED_USE="|| ( client server )"
+
+DEPEND="acct-user/vdr
+ >=media-video/vdr-2.3"
+BDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED="
+ usr/lib/vdr/plugins/libvdr-streamdev-.*
+ usr/lib64/vdr/plugins/libvdr-streamdev-.*"
+
+# vdr-plugin-2.eclass changes
+PO_SUBDIR="client server"
+
+src_prepare() {
+ # make detection in vdr-plugin-2.eclass for new Makefile handling happy
+ echo "# SOFILE" >> Makefile || die "modify Makefile failed"
+
+ # remove unnecessary include
+ sed -i Makefile -e "s:-I\$(VDRDIR)/include::" || die "modify Makefile failed"
+
+ vdr-plugin-2_src_prepare
+
+ local flag
+ for flag in client server; do
+ if ! use ${flag}; then
+ sed -i Makefile \
+ -e '/^.PHONY:/s/'${flag}'//' \
+ -e '/^.PHONY:/s/'install-${flag}'//' \
+ -e '/^all:/s/'${flag}'//' \
+ -e '/^install:/s/'install-${flag}'//' || die "modify Makefile failed"
+ fi
+ done
+
+ fix_vdr_libsi_include server/livestreamer.c
+}
+
+src_install() {
+ vdr-plugin-2_src_install
+
+ if use server; then
+ insinto /usr/share/vdr/streamdev
+ doins streamdev-server/externremux.sh
+
+ insinto /usr/share/vdr/rcscript
+ newins "${FILESDIR}"/rc-addon-0.6.0.sh plugin-streamdev-server.sh
+
+ newconfd "${FILESDIR}"/confd-0.6.0 vdr.streamdev-server
+
+ insinto /etc/vdr/plugins/streamdev-server
+ newins streamdev-server/streamdevhosts.conf streamdevhosts.conf
+ fowners vdr:vdr /etc/vdr -R
+ fi
+}
+
+pkg_postinst() {
+ vdr-plugin-2_pkg_postinst
+
+ if [[ -e "${EROOT}"/etc/vdr/plugins/streamdev/streamdevhosts.conf ]]; then
+ einfo "move config file to new config DIR ${EROOT}/etc/vdr/plugins/streamdev-server/"
+ mv "${EROOT}"/etc/vdr/plugins/streamdev/streamdevhosts.conf "${EROOT}"/etc/vdr/plugins/streamdev-server/streamdevhosts.conf || die
+ fi
+}